<?
 require_once('../conf/connection.php');

$idpedido =$_GET["idpedido"];
$ventana=$_GET["ventana"];
$query_mesa="SELECT * FROM pedido WHERE idpedido='$idpedido'";
$rs_query_mesa=mysql_query($query_mesa);
$mesa=mysql_result($rs_query_mesa,0,"idmesa");

$query_mesa="SELECT * FROM mesa WHERE num_mesa='$mesa'";
$rs_query_mesa=mysql_query($query_mesa);
$nom_mesa=mysql_result($rs_query_mesa,0,"nombre_mesa");

date_default_timezone_set("America/Buenos aires" ) ; 
$hora = date('h:i a',time() - 3600*date('I')); 

$fecha = $_GET["fecha"];

$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$idpedido'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");
$propina=$total_venta*(10/100);

// datos de empresa.
  
 $query_empresa="SELECT * FROM empresa";
  $res_empresa=mysql_query($query_empresa); 
  $emp_rut=mysql_result($res_empresa,0,"nif"); 
  $emp_nombre=mysql_result($res_empresa,0,"nombre"); 
  $emp_direccion=mysql_result($res_empresa,0,"direccion"); 
  $emp_giro=mysql_result($res_empresa,0,"giro"); 
  $emp_direccion=mysql_result($res_empresa,0,"direccion"); 
  $emp_ciudad=mysql_result($res_empresa,0,"ciudad"); 
  $emp_telefono=mysql_result($res_empresa,0,"telefono"); 
  $emp_fantasia=mysql_result($res_empresa,0,"fantasia"); 



$miarchivo=fopen($archivo."pedido.txt","w");//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"     " .$emp_fantasia. PHP_EOL); //TITULO
fwrite($miarchivo,"     " .$emp_rut. PHP_EOL); //TITULO
fwrite($miarchivo,"     " .$emp_giro. PHP_EOL); //TITULO
fwrite($miarchivo,"     " .$emp_direccion. PHP_EOL); //TITULO
fwrite($miarchivo,"     " .$emp_ciudad. PHP_EOL); //TITULO
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"     PEDIDO ".$idpedido);fwrite($miarchivo," DE LA MESA ".$nom_mesa . PHP_EOL) ;
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"    FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"    HRS: ".$hora . PHP_EOL ); //HORA

fwrite($miarchivo,"    DETALLES". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA
 
fwrite($miarchivo,"    PRODUCTO");fwrite($miarchivo,"            CANTIDAD");fwrite($miarchivo,"      TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

           $buscar='select  *, SUM(cantidad) as cant, SUM(valor_total) as valor 
		   from detalles_pedido where numero like \'%'.$idpedido.'%\' group by grupo, idplatos ';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $plato=$row["idplatos"];
					 $query="SELECT * FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);
					 $idgrupos=mysql_result($rs_query,0,"idgrupos");
					  
					 $nombre=mysql_result($rs_query,0,"descrip_plato");
                     $cart_nom=strlen($nombre);
					 		
					 
					 $cantidad=$row["cant"];
					 $cart_cant=strlen($cantidad);
					 
					 $total=$row["valor"];	
					 $cart_total=strlen($total);
					 
					 //mostraamos las variables 
					 
					 fwrite($miarchivo,"    ".$nombre);
                     for($l_cant=$cart_nom;$l_cant<=26;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$cantidad);
                     for($r_cant=$cart_cant;$r_cant<=7;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$total.  PHP_EOL );
                     
					 
			if($idgrupos==4 or $idgrupos==6 or $idgrupos==7 or $idgrupos==8 or $idgrupos==9 or $idgrupos==10 or $idgrupos==11  )
		            {
					 $query_obs1="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$idpedido'";
 		  			 $rs_query_obs1=mysql_query($query_obs1);
		   			 
					 while($row1=mysql_fetch_assoc($rs_query_obs1))
						{ //Procesamos cada registro como
 					 $obs1=$row1["obs"]; 
					 fwrite($miarchivo,"       ".$obs1.  PHP_EOL );
					 
					 	 
						}
					 
					 }else{
					 $query_obs="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$idpedido'";
 		  			 $rs_query_obs=mysql_query($query_obs);
		   			 
					 while($rows=mysql_fetch_assoc($rs_query_obs))
						{ //Procesamos cada registro como

						 $obs=$rows["obs"]; if($obs==""){ 
						 fwrite($miarchivo,"      - * ".  PHP_EOL );
						 }else{ 
					     fwrite($miarchivo,"      - ".$obs.  PHP_EOL );}
						}
                   
					}
					 
				}
			   fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
               fwrite($miarchivo,"    TOTAL                            ".$total_venta.  PHP_EOL );
			   fwrite($miarchivo,"    PROPINA SUGERIDA (10%)           ".$propina.  PHP_EOL );
			   fwrite($miarchivo,"    "  . PHP_EOL );			}
			   fwrite($miarchivo,"    ***** Gracias Por su preferencia ******** "  . PHP_EOL );
//FIN DEL BUCLE






fclose($miarchivo); //cerrar archivo

$file = file_get_contents("pedido.txt");
$handle = printer_open("prueba");
printer_write($handle, $file);
printer_close($handle);	 

?>

<center><font size="+3">Imprimiendo... </font></center>
<META HTTP-EQUIV="REFRESH" CONTENT="1;URL=../pedido.php?numero=<? echo $idpedido ?>&mesa=<? echo $mesa?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>">